Bug 1146708 - Anaconda crash on ppc64 (LPAR): ExitError: metacity exited with status 1
Summary: Anaconda crash on ppc64 (LPAR): ExitError: metacity exited with status 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21PPCAlpha
TreeView+ depends on / blocked
 
Reported: 2014-09-25 20:10 UTC by Gustavo Luiz Duarte
Modified: 2014-10-11 06:53 UTC (History)
6 users (show)

Fixed In Version: anaconda-21.48.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-11 06:53:59 UTC
Type: Bug


Attachments (Terms of Use)
anaconda-tb (859.85 KB, text/plain)
2014-09-25 20:11 UTC, Gustavo Luiz Duarte
no flags Details
anaconda.log (22.37 KB, text/plain)
2014-09-25 20:13 UTC, Gustavo Luiz Duarte
no flags Details
program.log (57.29 KB, text/plain)
2014-09-25 20:14 UTC, Gustavo Luiz Duarte
no flags Details
storage.log (385.59 KB, text/plain)
2014-09-25 20:14 UTC, Gustavo Luiz Duarte
no flags Details
syslog (60.39 KB, text/plain)
2014-09-25 20:15 UTC, Gustavo Luiz Duarte
no flags Details
vncserver.log (8.93 KB, text/plain)
2014-09-25 20:16 UTC, Gustavo Luiz Duarte
no flags Details

Description Gustavo Luiz Duarte 2014-09-25 20:10:05 UTC
Description of problem:

I tried to install Fedora-Server-DVD-ppc64-21_Alpha_TC3.iso on a P7 ppc64 LPAR. The install completed fine, but when I click the button to finish and reboot the machine Anaconda crashes with the following trace:


anaconda 21.48.6-1 exception report
Traceback (most recent call first):
  File "/sbin/anaconda", line 89, in sigchld_handler
    raise ExitError(", ".join(exn_message))
  File "/usr/lib64/python2.7/inspect.py", line 1014, in getframeinfo
    lines = lines[start:start+context]
  File "/usr/lib64/python2.7/inspect.py", line 1033, in getouterframes
    framelist.append((frame,) + getframeinfo(frame, context))
  File "/usr/lib64/python2.7/inspect.py", line 1055, in stack
    return getouterframes(sys._getframe(1), context)
  File "/usr/lib/python2.7/site-packages/blivet/storage_log.py", line 13, in function_name_and_depth
    stack = inspect.stack()
  File "/usr/lib/python2.7/site-packages/blivet/storage_log.py", line 24, in log_method_call
    (methodname, depth) = function_name_and_depth()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2369, in getDevicesByType
    log_method_call(self, device_type=device_type, incomplete=incomplete, hidden=hidden)
  File "/sbin/anaconda", line 163, in exitHandler
    for cdrom in storage.devicetree.getDevicesByType("cdrom"):
  File "/usr/lib64/python2.7/atexit.py", line 24, in _run_exitfuncs
    func(*targs, **kargs)
ExitError: metacity exited with status 1

Comment 1 Gustavo Luiz Duarte 2014-09-25 20:11:28 UTC
Created attachment 941265 [details]
anaconda-tb

Comment 2 Gustavo Luiz Duarte 2014-09-25 20:13:06 UTC
Created attachment 941266 [details]
anaconda.log

Comment 3 Gustavo Luiz Duarte 2014-09-25 20:14:01 UTC
Created attachment 941267 [details]
program.log

Comment 4 Gustavo Luiz Duarte 2014-09-25 20:14:46 UTC
Created attachment 941268 [details]
storage.log

Comment 5 Gustavo Luiz Duarte 2014-09-25 20:15:40 UTC
Created attachment 941269 [details]
syslog

Comment 6 Gustavo Luiz Duarte 2014-09-25 20:16:08 UTC
Created attachment 941270 [details]
vncserver.log

Comment 7 David Shea 2014-09-25 20:37:26 UTC
I think I've already fixed this in rawhide. I'll try out the patches tomorrow and see if I can just port them over to f21.

Comment 8 Gustavo Luiz Duarte 2014-09-25 21:05:36 UTC
(In reply to David Shea from comment #7)
> I think I've already fixed this in rawhide. I'll try out the patches
> tomorrow and see if I can just port them over to f21.

Cool! Thanks David. If you have an updates image I can try it and verify if it fixes the issue.

Comment 9 David Shea 2014-09-25 21:17:44 UTC
(In reply to Gustavo Luiz Duarte from comment #8)
> (In reply to David Shea from comment #7)
> > I think I've already fixed this in rawhide. I'll try out the patches
> > tomorrow and see if I can just port them over to f21.
> 
> Cool! Thanks David. If you have an updates image I can try it and verify if
> it fixes the issue.

Sure, I think https://dshea.fedorapeople.org/1146708.img should do it.

Comment 10 David Shea 2014-09-26 14:58:09 UTC
Well I was going to try it myself, but I guess I'd have to figure out where a F21 ppc64 boot image is first, and I am so far failing at that. I'll be out next week, so if the updates.img works and you need it in F21 in a hurry, I just cherry-picked d8578a0a108c432e6b3c6d8e9501f0307fc8d313 from master.

Comment 11 Gustavo Luiz Duarte 2014-09-26 16:28:31 UTC
(In reply to David Shea from comment #10)
> Well I was going to try it myself, but I guess I'd have to figure out where
> a F21 ppc64 boot image is first, and I am so far failing at that. I'll be
> out next week, so if the updates.img works and you need it in F21 in a
> hurry, I just cherry-picked d8578a0a108c432e6b3c6d8e9501f0307fc8d313 from
> master.

Hi David,

I just tested the updates image you provided and it works fine. Thanks!

Yes, we need it fixed in F21 soon as we are trying to get the Alpha release of Fedora 21 for ppc64.

The latest ISO we have is http://ppc.koji.fedoraproject.org/stage/21_Alpha_TC3/

Comment 12 David Shea 2014-09-26 17:14:13 UTC
(In reply to Gustavo Luiz Duarte from comment #11)

> Hi David,
> 
> I just tested the updates image you provided and it works fine. Thanks!

Excellent, pushed and it'll be in the next build.


> The latest ISO we have is
> http://ppc.koji.fedoraproject.org/stage/21_Alpha_TC3/

Good to know, thanks.

Comment 13 Fedora Update System 2014-10-01 15:36:08 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21

Comment 14 Fedora Update System 2014-10-03 04:00:13 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-10-04 03:22:45 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21 pykickstart-1.99.60-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/pykickstart-1.99.60-2.fc21,python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-10-11 06:53:59 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.